Package nl.tudelft.simulation.dsol.animation.gis

## Class GraphicsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - nl.tudelft.simulation.dsol.animation.gis.GraphicsException

All Implemented Interfaces:
  `Serializable`

    public class GraphicsException
    extends Exception

GraphicsException for exceptions when reading or drawing GIS layers.

Copyright (c) 2020-2021 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information DSOL Manual. The DSOL project is distributed under a three-clause BSD-style license, which can be found at DSOL License.

Author:
  Alexander Verbraeck
See Also:
  Serialized Form

### Constructor Summary

Constructors
`GraphicsException()` Constructs a new blank GraphicsException.
`GraphicsException​(String message)` Constructs a new GraphicsException.
`GraphicsException​(String message, Throwable cause)` Constructs a new GraphicsException.
`GraphicsException​(Throwable cause)` Constructs a new GraphicsException.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GraphicsException

    public GraphicsException()

Constructs a new blank GraphicsException.

#### GraphicsException

    public GraphicsException​(String message,
                             Throwable cause)

Constructs a new GraphicsException.

Parameters:
  `message` - String; the message to display
  `cause` - Throwable; the underlying exception

#### GraphicsException

    public GraphicsException​(String message)

Constructs a new GraphicsException.

Parameters:
  `message` - String; the message to display

#### GraphicsException

    public GraphicsException​(Throwable cause)

Constructs a new GraphicsException.

Parameters:
  `cause` - Throwable; the underlying exception